Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036308
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2017-06-22 11:592017-09-21 16:49
ReporternaiaramartinezView Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionfixedFixed in VersionRR17Q4
StatusclosedFix in branchFixed in SCM revision774cff79b78d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036308: [SERQA 3037] Replacement order is duplicating the amount paid in the ticket

DescriptionWhen creating a cancel&Replace layaways, the amount paid is duplicated in each replacement order.
Steps To Reproduce*Login into WebPOS
*Create a layaway with a product and pay partially (for example 0.20€)
*Click in Search Receipt and get the newly created layaway
*Click in Cancel&Replace and add a new product (Do not add new payment). Complete the layaway
*Click in Search Receipt and get the newly created layaway
*Click in Cancel&Replace and add a new product (Do not add new payment).
*Click in the total amount of the order. Notice that in payments done it says that 0.40 is paid (the payment that we did at the beginning is 0.20 and not 0.40)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0097874)
hgbot (developer)
2017-07-05 15:56

Repository: erp/devel/pi
Changeset: b06cf6616ecc6ea7f21b1d7a378480e4d8175f71
Author: Prakash M <prakash <at> qualiantech.com>
Date: Wed Jul 05 18:57:28 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b06cf6616ecc6ea7f21b1d7a378480e4d8175f71 [^]

Fixed Issue 36308: Wrong Payment Schedule Details Amount in cancel and replace

---
M src/org/openbravo/erpCommon/businessUtility/CancelAndReplaceUtils.java
---
(0097875)
hgbot (developer)
2017-07-05 15:57

Repository: tools/automation/pi-mobile
Changeset: 3e903582facb36679a8468ac85eb5fe44ae5fd47
Author: Prakash M <prakash <at> qualiantech.com>
Date: Wed Jul 05 19:25:40 2017 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/3e903582facb36679a8468ac85eb5fe44ae5fd47 [^]

Verifies issue 36308 : Added Automated Test I36308_CancelAndRplcLayawayIII

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSCancelAndReplaceTerminalHelper.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36308_CancelAndRplcLayawayIII.java
---
(0097938)
marvintm (developer)
2017-07-07 11:01

The change seems to work correctly, but the code currently is reusing a list which comes from a OBDal query, which is quite strange.

I propose to change it to have separate lists, as I don't really know the consequences of modifying a list generated by a Hibernate query.
(0098011)
hgbot (developer)
2017-07-11 10:33

Repository: erp/devel/pi
Changeset: 774cff79b78dce959e5143fc8e9ac47afd0e267c
Author: Prakash M <prakash <at> qualiantech.com>
Date: Tue Jul 11 10:46:15 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/774cff79b78dce959e5143fc8e9ac47afd0e267c [^]

Fixed Issue 36308: Used separate list for cancel and replace payment schedule detail

---
M src/org/openbravo/erpCommon/businessUtility/CancelAndReplaceUtils.java
---
(0099235)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099266)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-22 11:59 naiaramartinez New Issue
2017-06-22 11:59 naiaramartinez Assigned To => marvintm
2017-06-22 11:59 naiaramartinez Triggers an Emergency Pack => No
2017-06-26 09:21 marvintm Assigned To marvintm => Retail
2017-06-26 13:52 marvintm Severity trivial => major
2017-06-26 13:55 asiermartirena Assigned To Retail => prakashmurugesan88
2017-07-05 09:00 prakashmurugesan88 Status new => scheduled
2017-07-05 15:56 hgbot Checkin
2017-07-05 15:56 hgbot Note Added: 0097874
2017-07-05 15:56 hgbot Status scheduled => resolved
2017-07-05 15:56 hgbot Resolution open => fixed
2017-07-05 15:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b06cf6616ecc6ea7f21b1d7a378480e4d8175f71 [^]
2017-07-05 15:57 hgbot Checkin
2017-07-05 15:57 hgbot Note Added: 0097875
2017-07-07 11:01 marvintm Note Added: 0097938
2017-07-07 11:01 marvintm Status resolved => new
2017-07-07 11:01 marvintm Resolution fixed => open
2017-07-11 10:33 hgbot Checkin
2017-07-11 10:33 hgbot Note Added: 0098011
2017-07-11 10:33 hgbot Status new => resolved
2017-07-11 10:33 hgbot Resolution open => fixed
2017-07-11 10:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/b06cf6616ecc6ea7f21b1d7a378480e4d8175f71 [^] => http://code.openbravo.com/erp/devel/pi/rev/774cff79b78dce959e5143fc8e9ac47afd0e267c [^]
2017-07-16 10:22 guilleaer Review Assigned To => guilleaer
2017-07-16 10:22 guilleaer Status resolved => closed
2017-07-16 10:22 guilleaer Fixed in Version => RR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099235
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099266


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker